import { useMemberStore, useSettingStore } from '@/stores'
import { pageUrl } from '@/utils/constants'

export const getShareUrl = (goodsId: number | string) => {
  const settingData = useSettingStore().data
  const profileData = useMemberStore().profile

  return `${settingData.h5_domain}${pageUrl['shopping-mall-goods-detail']}?id=${goodsId}&sharer=${profileData?.id}`
}
